scriptName format ["%1Scripts\Common\Config\Config_AircraftFactory.sqf",BIS_WFdPath];
//Last modified 4/14/10
//*****************************************************************************************
//Description: Aircraft factory configurations.
//*****************************************************************************************
Private["_c","_config","_d","_data","_m","_p","_pilotCost","_t","_total","_u"];

//WEST
_u			= ["UH1Y"];
_c			= [3500];
_m			= [2];
_t			= [35];
_p			= [20];

_u = _u		+ ["MV22"];
_c = _c		+ [4000];
_m = _m		+ [2];
_t = _t		+ [40];
_p = _p		+ [30];

_u = _u		+ ["AH1Z"];
_c = _c		+ [7500];
_m = _m		+ [2];
_t = _t		+ [55];
_p = _p		+ [50];

_u = _u		+ ["AH64D"];
_c = _c		+ [8000];
_m = _m		+ [2];
_t = _t		+ [55];
_p = _p		+ [50];

_u = _u		+ ["AV8B2"];
_c = _c		+ [5000];
_m = _m		+ [1];
_t = _t		+ [50];
_p = _p		+ [50];

_u = _u		+ ["F35B"];
_c = _c		+ [5000];
_m = _m		+ [1];
_t = _t		+ [50];
_p = _p		+ [50];

_pilotCost = 75;
_data = [West,"Barracks",WPILOT] Call BIS_WF_GetUnitData;
if (Count _data > 0) then {_pilotCost = _data Select 2};

westAircraftDescriptions = [];
westAircraftFactions = [];
westAircraftImages = [];
westAircraftMannedCosts = [];

_total = Count _u;
for [{_count = 0},{_count < _total},{_count = _count + 1}] do
{
	_config = configFile >> "CfgVehicles" >> (_u Select _count);
	westAircraftMannedCosts = westAircraftMannedCosts + [(_c Select _count) + (_m Select _count) * _pilotCost];
	westAircraftDescriptions = westAircraftDescriptions + [GetText (_config >> "displayName")];
	westAircraftFactions = westAircraftFactions + [Localize "STR_FN_USMC"];
	westAircraftImages = westAircraftImages + [GetText (_config >> "picture")];
};

westAircraftUnits = _u;
westAircraftCosts = _c;
westAircraftCrews = _m;
westAircraftTimes = _t;
westAircraftPoints = _p;

_u			= ["Mi17_rockets_RU"];
_c			= [350];
_m			= [2];
_t			= [35];
_p			= [20];

_u = _u		+ ["Mi24_P"];
_c = _c		+ [500];
_m = _m		+ [2];
_m = _m		+ [2];
_t = _t		+ [55];
_p = _p		+ [50];

_u = _u		+ ["Ka52"];
_c = _c		+ [750];
_m = _m		+ [2];
_m = _m		+ [2];
_t = _t		+ [55];
_p = _p		+ [50];

_u = _u		+ ["CMA_Mi28_RUS"];
_c = _c		+ [750];
_m = _m		+ [2];
_m = _m		+ [2];
_t = _t		+ [55];
_p = _p		+ [50];

_u = _u		+ ["SU39"];
_c = _c		+ [800];
_m = _m		+ [1];
_m = _m		+ [2];
_t = _t		+ [55];
_p = _p		+ [50];

_u = _u		+ ["SU34"];
_c = _c		+ [1000];
_m = _m		+ [2];
_m = _m		+ [2];
_t = _t		+ [55];
_p = _p		+ [50];

//EAST
_pilotCost = 75;
_data = [East,"Barracks",EPILOT] Call BIS_WF_GetUnitData;
if (Count _data > 0) then {_pilotCost = _data Select 2};

eastAircraftDescriptions = [];
eastAircraftFactions = [];
eastAircraftImages = [];
eastAircraftMannedCosts = [];

_total = Count _u;
for [{_count = 0},{_count < _total},{_count = _count + 1}] do
{
	_config = configFile >> "CfgVehicles" >> (_u Select _count);
	eastAircraftMannedCosts = eastAircraftMannedCosts + [(_c Select _count) + (_m Select _count) * _pilotCost];
	eastAircraftDescriptions = eastAircraftDescriptions + [GetText (_config >> "displayName")];
	eastAircraftFactions = eastAircraftFactions + [Localize "STR_FN_RU"];
	eastAircraftImages = eastAircraftImages + [GetText (_config >> "picture")];
};

eastAircraftUnits = _u;
eastAircraftCosts = _c;
eastAircraftCrews = _m;
eastAircraftTimes = _t;
eastAircraftPoints = _p;

//RESISTANCE
_u			= [];
_c			= [];
_m			= [];
_t			= [];
_p			= [];

_pilotCost = 75;
_data = [Resistance,"Barracks",GPILOT] Call BIS_WF_GetUnitData;
if (Count _data > 0) then {_pilotCost = _data Select 2};

resistanceAircraftDescriptions = [];
resistanceAircraftFactions = [];
resistanceAircraftImages = [];
resistanceAircraftMannedCosts = [];

_total = Count _u;
for [{_count = 0},{_count < _total},{_count = _count + 1}] do
{
	_config = configFile >> "CfgVehicles" >> (_u Select _count);
	resistanceAircraftMannedCosts = resistanceAircraftMannedCosts + [(_c Select _count) + (_m Select _count) * _pilotCost];
	resistanceAircraftDescriptions = resistanceAircraftDescriptions + [GetText (_config >> "displayName")];
	resistanceAircraftFactions = resistanceAircraftFactions + [GetText (_config >> "faction")];
	resistanceAircraftImages = resistanceAircraftImages + [GetText (_config >> "picture")];
};

resistanceAircraftUnits = _u;
resistanceAircraftCosts = _c;
resistanceAircraftMannedCosts = _m;
resistanceAircraftTimes = _t;
resistanceAircraftPoints = _p;

aircraftUnits = westAircraftUnits + eastAircraftUnits + resistanceAircraftUnits;
aircraftUnitCosts = westAircraftCosts + eastAircraftCosts + resistanceAircraftCosts;
aircraftUnitDescriptions = westAircraftDescriptions + eastAircraftDescriptions + resistanceAircraftDescriptions;

//Determine longest build time.
longestAircraftBuildTime = 0;
_t = eastAircraftTimes + westAircraftTimes + resistanceAircraftTimes;
for [{_count = Count _t - 1},{_count >= 0},{_count = _count - 1}] do
{
	if (_t Select _count > longestAircraftBuildTime) then
	{
		longestAircraftBuildTime = _t Select _count;
	};
};

//*****************************************************************************************
//6/13/7 MM - Created file.
