scriptName format ["%1Scripts\Common\Config\Config_HeavyFactory.sqf",BIS_WFdPath];
//Last modified 4/14/10
//*****************************************************************************************
//Description: Heavy vehicle factory configurations.
//*****************************************************************************************
Private["_c","_config","_crewCost","_data","_m","_p","_soldierCost","_t","_total","_u"];

//WEST
_u			= ["AAV"];
_c			= [700];
_m			= [3];
_t			= [25];
_p			= [20];

_u = _u		+ ["M1A1"];
_c = _c		+ [3000];
_m = _m		+ [3];
_t = _t		+ [40];
_p = _p		+ [35];

_u = _u		+ ["M1A2_TUSK_MG"];
_c = _c		+ [3500];
_m = _m		+ [3];
_t = _t		+ [40];
_p = _p		+ [35];

_crewCost = 75;
_data = [West,"Barracks",WCREW] Call BIS_WF_GetUnitData;
if (Count _data > 0) then {_crewCost = _data Select 2};

westHeavyDescriptions = [];
westHeavyFactions = [];
westHeavyImages = [];
westHeavyMannedCosts = [];

_total = Count _u;
for [{_count = 0},{_count < _total},{_count = _count + 1}] do
{
	_config = configFile >> "CfgVehicles" >> (_u Select _count);
	westHeavyMannedCosts = westHeavyMannedCosts + [(_c Select _count) + (_m Select _count) * _crewCost];
	westHeavyDescriptions = westHeavyDescriptions + [GetText (_config >> "displayName")];
	westHeavyFactions = westHeavyFactions + [GetText (_config >> "faction")];
	westHeavyImages = westHeavyImages + [GetText (_config >> "picture")];
};

westHeavyUnits = _u;
westHeavyCosts = _c;
westHeavyCrews = _m;
westHeavyTimes = _t;
westHeavyPoints = _p;

//EAST
_u			= ["BMP3"];
_c			= [600];
_m			= [3];
_t			= [35];
_p			= [30];

_u = _u		+ ["2S6M_Tunguska"];
_c = _c		+ [700];
_m = _m		+ [3];
_t = _t		+ [35];
_p = _p		+ [30];

_u = _u		+ ["T90"];
_c = _c		+ [1500];
_m = _m		+ [3];
_t = _t		+ [40];
_p = _p		+ [35];

_crewCost = 75;
_data = [East,"Barracks",ECREW] Call BIS_WF_GetUnitData;
if (Count _data > 0) then {_crewCost = _data Select 2};

eastHeavyDescriptions = [];
eastHeavyFactions = [];
eastHeavyImages = [];
eastHeavyMannedCosts = [];

_total = Count _u;
for [{_count = 0},{_count < _total},{_count = _count + 1}] do
{
	_config = configFile >> "CfgVehicles" >> (_u Select _count);
	eastHeavyMannedCosts = eastHeavyMannedCosts + [(_c Select _count) + (_m Select _count) * _crewCost];
	eastHeavyDescriptions = eastHeavyDescriptions + [GetText (_config >> "displayName")];
	eastHeavyFactions = eastHeavyFactions + [GetText (_config >> "faction")];
	eastHeavyImages = eastHeavyImages + [GetText (_config >> "picture")];
};

eastHeavyUnits = _u;
eastHeavyCosts = _c;
eastHeavyCrews = _m;
eastHeavyTimes = _t;
eastHeavyPoints = _p;

//RESISTANCE
_u			= ["BMP2_Gue"];
_c			= [1200];
_m			= [3];
_t			= [25];
_p			= [25];

_u = _u		+ ["T72_Gue"];
_c = _c		+ [2000];
_m = _m		+ [3];
_t = _t		+ [30];
_p = _p		+ [25];

_crewCost = 75;
_data = [Resistance,"Barracks",GCREW] Call BIS_WF_GetUnitData;
if (Count _data > 0) then {_crewCost = _data Select 2};

resistanceHeavyDescriptions = [];
resistanceHeavyFactions = [];
resistanceHeavyImages = [];
resistanceHeavyMannedCosts = [];

_total = Count _u;
for [{_count = 0},{_count < _total},{_count = _count + 1}] do
{
	_config = configFile >> "CfgVehicles" >> (_u Select _count);
	resistanceHeavyMannedCosts = resistanceHeavyMannedCosts + [(_c Select _count) + (_m Select _count) * _crewCost];
	resistanceHeavyDescriptions = resistanceHeavyDescriptions + [GetText (_config >> "displayName")];
	resistanceHeavyFactions = resistanceHeavyFactions + [GetText (_config >> "faction")];
	resistanceHeavyImages = resistanceHeavyImages + [GetText (_config >> "picture")];
};

resistanceHeavyUnits = _u;
resistanceHeavyCosts = _c;
resistanceHeavyCrews = _m;
resistanceHeavyTimes = _t;
resistanceHeavyPoints = _p;

heavyUnits = westHeavyUnits + eastHeavyUnits + resistanceHeavyUnits;
heavyUnitCosts = westHeavyCosts + eastHeavyCosts + resistanceHeavyCosts;
heavyUnitDescriptions = westHeavyDescriptions + eastHeavyDescriptions + resistanceHeavyDescriptions;

//Determine longest build time.
longestHeavyBuildTime = 0;
_t = eastHeavyTimes + westHeavyTimes + resistanceHeavyTimes;
for [{_count = Count _t - 1},{_count >= 0},{_count = _count - 1}] do
{
	if (_t Select _count > longestHeavyBuildTime) then
	{
		longestHeavyBuildTime = _t Select _count;
	};
};

//*****************************************************************************************
//3/28/7 MM - Created file.
