scriptName format ["%1Scripts\Common\Config\Config_Supports.sqf",BIS_WFdPath];
//Last modified 2/18/10
//*****************************************************************************************
//Description: Defines supports available.
//*****************************************************************************************

//Default supports.
_v			= ["ARTILLERY"];										//Support type (used for adding a support).
_n			= [Localize "STR_COMDLG_ARTILLERY"];					//Support name.
_c			= [1000];												//Cost to use support.
_m			= ["Select"];											//Marker.
_ml			= [Localize "STR_COMDLG_ARTILLERY"];					//Marker label.
_mc			= ["ColorYellow"];										//Marker color.
_p			= [corePath + "Common\Support\Support_ArtilleryRequest.sqf"];	//Player script to run.
_s			= [corePath + "Common\Support\Support_ArtilleryServer.sqf"];	//Server script to run for a request.
_su			= [corePath + "Common\Support\Support_ArtilleryServerUpdate.sqf"];//Server update script.
_ai			= [corePath + "Common\Support\Support_ArtilleryAI.sqf"];		//AI script to run.
_co			= [corePath + "Common\Support\Support_ArtilleryCommanderAI.sqf"];//AI commander script to run.

/*
_v = _v		+ ["UAV"];
_n = _n		+ ["UAV Recon"];
_c = _c		+ [250];
_m = _m		+ ["Select"];
_ml = _ml	+ ["UAV"];
_mc = _mc	+ ["ColorGreen"];
_p = _p		+ [corePath + "Common\Support\Support_UAVReconRequest.sqf"];
_s = _s		+ [corePath + "Common\Support\Support_UAVReconServer.sqf"];
_su = _su	+ [corePath + "Common\Support\Support_UAVReconServerUpdate.sqf"];
_ai = _ai	+ [corePath + "Common\Support\Support_UAVReconAI.sqf"];
_co = _co	+ [corePath + "Common\Support\Support_UAVReconCommanderAI.sqf"];
*/

for [{_count = Count _v - 1},{_count >= 0},{_count = _count - 1}] do
{
	//Compile scripts.
	_p Set[_count,Compile PreprocessFile (_p Select _count)];
	_s Set[_count,Compile PreprocessFile (_s Select _count)];
	_su Set[_count,Compile PreprocessFile (_su Select _count)];
	_ai Set[_count,Compile PreprocessFile (_ai Select _count)];
	_co Set[_count,Compile PreprocessFile (_co Select _count)];
};

BIS_WF_Constants SetVariable ["supportTypes",_v,false];			//Support type.
BIS_WF_Constants SetVariable ["supportNames",_n,false];			//Name of support type.
BIS_WF_Constants SetVariable ["supportCosts",_c,false];			//Cost to use support.
BIS_WF_Constants SetVariable ["supportMarkers",_m,false];		//Markers.
BIS_WF_Constants SetVariable ["supportMarkerLabels",_ml,false];	//Marker labels.
BIS_WF_Constants SetVariable ["supportMarkerColors",_mc,false];	//Marker colors.
BIS_WF_Constants SetVariable ["supportScripts",_p,false];		//Player script to run for missions.
BIS_WF_Constants SetVariable ["supportAIScripts",_ai,false];	//AI script to run for missions.
BIS_WF_Constants SetVariable ["supportCommanderAIScripts",_co,false];//Commander script that determines if mission should be created.
BIS_WF_Constants SetVariable ["supportServerScripts",_s,false];	//Server script, runs even if no team is assigned to mission.
BIS_WF_Constants SetVariable ["supportServerUpdateScripts",_su,false];//Server script, runs even if no team is assigned to mission.

//*****************************************************************************************
//2/7/10 MM - Created file.
